# $Revision: 1.9 $, $Date: 2002/07/23 19:44:14 $
Summary:	Rough Auditing Tool for Security
Summary(pl):	Narzdzie do pobienych audytw bezpieczestwa
Name:		rats
Version:	0.9
Release:	2
License:	GPL v2
Vendor:		Secure Software Solutions
Group:		Development/Tools
Source0:	http://www.securesw.com/rats/%{name}-%{version}.tar.gz
URL:		http://www.securesw.com/rats/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	flex
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_datadir}/misc

%description
RATS scans through code, finding potentially dangerous function calls.
The goal of this tool is not to definitively find bugs (yet). The
current goal is to provide a reasonable starting point for performing
manual security audits.

The initial vulnerability database is taken directly from things that
could be easily found when starting with the forthcoming book,
"Building Secure Software" by Viega and McGraw.

%description -l pl
RATS skanuje kod, znajdujc wywoania potencjalnie niebezpiecznych
funkcji. Celem tego narzdzia nie jest (jeszcze) definitywne
znajdowanie bdw. Aktualnym celem jest dostarczenie sensownego
punktu startowego do przeprowadzania rcznych audytw bezpieczestwa.

Pocztkowa baza dziur jest brana bezporednio z rzeczy, ktre mog by
atwo znalezione przy lekturze nadchodzcej ksiki "Building Secure
Software" napisanaj przez Vieg i McGrawa.

%prep
%setup -q

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}

install rats $RPM_BUILD_ROOT%{_bindir}
install rats.xml $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/rats
%{_libdir}/rats.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rats.spec,v $
Revision 1.9  2002/07/23 19:44:14  marcus
- use new %%doc
- rel.2.

Revision 1.8  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 15:24:29  qboosh
- pl translations

Revision 1.4  2001/11/14 11:47:56  filon
- changed to %%configure2_13, to make it build

Revision 1.3  2001/05/21 16:56:17  kloczek
- added URL.

Revision 1.2  2001/05/21 16:55:42  kloczek
- rewrited in PLD coding style,
- added flex to BuildRequires,
- map %{_libdir} for rats.xml to %%{_datadir}/misc (to FHS compliant).

* Mon May 21 2001 Scott Shinn <scott@securesw.com>
- initial release
